# $Revision: 1.49 $, $Date: 2011/09/19 19:06:50 $
#
# Conditional build:
%bcond_without	caca	# don't build libcaca-based screensaver module
#
Summary:	Locks one or more virtual consoles
Summary(de.UTF-8):	Sperrt eine oder mehrere virtuelle Konsolen
Summary(es.UTF-8):	Bloquea una o más consolas virtuales
Summary(fr.UTF-8):	Verrouille une ou plusieurs consoles virtuelles
Summary(pl.UTF-8):	Umożliwia zablokowanie dostępu do terminala
Summary(pt_BR.UTF-8):	Trava uma ou mais consoles virtuais
Summary(ru.UTF-8):	Закрывает одну или больше консолей от несанкционированного доступа
Summary(tr.UTF-8):	Sanal konsol kilitleme aracı
Summary(uk.UTF-8):	Закриває одну чи більше консолей від несанкціонованого доступу
Summary(zh_CN.UTF-8):	一个能够锁定一个或多个虚拟终端的程序
Name:		vlock
Version:	2.2.3
Release:	1
License:	GPL v2
Group:		Applications/Console
Source0:	http://cthulhu.c3d2.de/~toidinamai/vlock/archive/%{name}-%{version}.tar.bz2
# Source0-md5:	2dd5677c97f2707db62532ae24f58433
Source1:	%{name}.pamd
Patch0:		%{name}-rootpw.patch
Patch1:		%{name}-linking.patch
URL:		http://cthulhu.c3d2.de/~toidinamai/vlock/vlock.html
BuildRequires:	pam-devel >= 0.77.3
%if %{with caca}
BuildRequires:	libcaca-devel >= 0.99
BuildRequires:	ncurses-devel
%endif
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
vlock either locks the current terminal (which may be any kind of
terminal, local or remote), or locks the entire virtual console
system, completely disabling all console access. vlock gives up these
locks when either the password of the user who started vlock or the
root password is typed. Note: root password can unlock session only if
vlock is setuid root (it isn't by default).

%description -l de.UTF-8
vlock sperrt entweder das aktuelle Terminal (lokal oder entfernt) oder
das gesamte virtuelle Konsolensystem, wobei der Konsolenzugriff völlig
deaktiviert wird. vlock gibt die Sperren frei, wenn entweder das
Paßwort des Benutzers, der vlock gestartet hat, oder das Root- Paßwort
eingegeben wird.

%description -l es.UTF-8
vlock igualmente cierra el terminal corriente (que puede ser cualquier
tipo de terminal, local o remoto), como cierra el sistema entero de
consola virtual, inhabilitando, por completo, todo el acceso a
consola. vlock se inhabilita cuando se teclea la contraseña del
usuario que la haya iniciado o con la contraseña del root.

%description -l fr.UTF-8
vlock verrouille soit le terminal courant (qui peut être de tout type,
local ou distant), soit le système entier des consoles virtuelles,
désactivant ainsi tout accès aux consoles. vlock défait ces verrous
lorsque le mot de passe de l'utilisateur qui l'a lancé, ou celui de
root, est entré.

%description -l pl.UTF-8
vlock blokuje bieżący terminal lub całą konsolę systemu
uniemożliwiając dostęp do wszystkich wirtualnych terminali. Do
odblokowania potrzebne jest hasło użytkownika, który uruchomił vlock,
albo administratora systemu (root-a). Uwaga: odblokować terminal
hasłem roota można tylko jeśli binarka vlock ma setuid root (domyślnie
nie ma).

%description -l pt_BR.UTF-8
O vlock igualmente tranca o terminal corrente (que pode ser qualquer
tipo de terminal, local ou remoto), ou tranca o sistema inteiro de
console virtual, desabilitando completamente todo o acesso ao console.
O vlock é desabilitado quando a senha do usuário que o iniciou ou a
senha do root é digitada.

%description -l ru.UTF-8
vlock блокирует текущий терминал (который может быть любого типа, как
локальный, так и удаленный) или всю систему виртуальных консолей,
полностью блокируя таким образом любой доступ с консоли. Разблокировка
производится путем ввода пароля пользователя, запустившего vlock, или
пароля root.

%description -l tr.UTF-8
vlock kullanıcının kullanmakta olduğu terminali kilitlemesini sağlar.
Bu terminal yerel bir terminal ya da uzaktan erişilmiş bir terminal
olabilir. Diğer bir seçenek de bütün sanal konsol sistemini
kilitleyerek her türlü konsol erişimini kapatmaktır. Konsolun
kilidinin açılması için ya kilitleyen kullanıcının ya da root
kullanıcısının parolasının girilmesi gerekir.

%description -l uk.UTF-8
vlock блокує або поточний термінал (що може бути будь-якого типу, як
локальний, так і віддалений) або всю систему віртуальних консолей,
повністю блокуючи таким чином будь-який доступ з консолі.
Розблокування відбувається шляхом вводу пароля користувача, що
запустив vlock, чи пароля root.

%package caca
Summary:	libcaca-based screensaver module for vlock
Summary(pl.UTF-8):	Moduł wygaszacza ekranu opartego na libcaca dla vlocka
Group:		Applications/Console
Requires:	%{name} = %{version}-%{release}

%description caca
libcaca-based screensaver module for vlock.

%description caca -l pl.UTF-8
Moduł wygaszacza ekranu opartego na libcaca dla vlocka.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# not autoconf-generated
./configure \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -W -pedantic -std=gnu99%{?with_caca: -I/usr/include/ncurses}" \
	LDFLAGS="%{rpmldflags}" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-modules="all.so new.so nosysrq.so ttyblank.so vesablank.so%{?with_caca: caca.so}" \
	--with-scripts="alsa_mute.sh amarok.sh hibernate.sh mplayer.sh \
%ifarch %{ix86} %{x8664}
	thinkpad_light.sh \
%endif
%ifarch ppc
	powerbook_backlight.sh \
%endif
	"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/pam.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog PLUGINS README README.X11 SECURITY TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(755,root,root) %{_bindir}/vlock
# should have suid root for some functions (unlocking by root password, new or nosysrq modules)
# but should be limited to trusted users
%attr(755,root,root) %verify(not mode) %{_sbindir}/vlock-main
%dir %{_libdir}/vlock
%dir %{_libdir}/vlock/modules
%attr(755,root,root) %{_libdir}/vlock/modules/all.so
%attr(755,root,root) %{_libdir}/vlock/modules/new.so
%attr(755,root,root) %{_libdir}/vlock/modules/nosysrq.so
%attr(755,root,root) %{_libdir}/vlock/modules/ttyblank.so
%attr(755,root,root) %{_libdir}/vlock/modules/vesablank.so
%dir %{_libdir}/vlock/scripts
%attr(755,root,root) %{_libdir}/vlock/scripts/*
%{_mandir}/man1/vlock.1*
%{_mandir}/man5/vlock-plugins.5*
%{_mandir}/man8/vlock-main.8*

%if %{with caca}
%files caca
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vlock/modules/caca.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vlock.spec,v $
Revision 1.49  2011/09/19 19:06:50  qboosh
- updated to 2.2.3

Revision 1.48  2011/01/29 00:07:33  sparky
- dropped pre-cvs changelog

Revision 1.47  2008/05/31 13:23:00  qboosh
- updated to 2.2.2
- updated patches

Revision 1.46  2007-09-10 18:15:30  qboosh
- updated to 2.1
- updated patches

Revision 1.45  2007/08/25 19:27:54  qboosh
- updated to 2.0
- updated patches
- License is GPL v2 (only)

Revision 1.44  2007/08/16 18:01:43  glen
- rel 2

Revision 1.43  2007/07/26 20:33:12  twittner
- up to 1.4 - there is a new feature: with -a -s you can block SySRQ keys
- updated SOURCE0 and URL

Revision 1.42  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.40  2006/08/02 23:59:16  sparky
- add linking patch, pass rpmldflags

Revision 1.39  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.38  2006/02/26 15:08:38  sparky
- use CC="%{__cc}"

Revision 1.37  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.36  2004/08/18 17:43:24  undefine
- release 13

Revision 1.35  2003/09/26 14:26:13  baggins
- release 12

Revision 1.34  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.33  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.32  2003/05/28 13:02:35  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:27:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2002/12/02 11:06:28  ankry
- massive cleaning

Revision 1.29  2002/07/15 09:11:18  kloczek
- merge translations from TurboLinux.

Revision 1.28  2002/07/14 22:26:32  qboosh
- don't ask for root password if vlock isn't suid root - it won't work
  (because of PAM); added note about this to en and pl descriptions
- new %%doc, release 11

Revision 1.27  2002/02/25 09:55:55  kloczek
- merge translations from KSI.

Revision 1.26  2002/02/25 09:53:39  kloczek
- merge translations from Conectiva.

Revision 1.25  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:56  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.21  2001/04/30 16:05:32  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/02/25 04:04:18  kloczek
- release 9.

Revision 1.19  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/10/10 21:24:14  kloczek
- release 8: use new rpm automation suit and adapterized.

Revision 1.16  2000/08/09 16:07:57  baggins
- release 7
- added kosher vlock.pamd ;)

Revision 1.15  2000/07/31 09:13:41  kloczek
- spec adapterized.

Revision 1.14  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.11  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.10  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).
